Get Current User Profile
GET
/api/v1/users/me
const url = 'https://example.com/api/v1/users/me';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/users/me \ --header 'Authorization: Bearer <token>'Get the current user’s profile, auto-creating on first access.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Successful Response
Media type application/json
UserResponse
object
id
required
Id
string format: uuid
clerk_id
required
Clerk Id
string
email
required
Email
string format: email
tier
required
Tier
string
created_at
required
Created At
string format: date-time
Example generated
{ "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "clerk_id": "example", "tier": "example", "created_at": "2026-04-15T12:00:00Z"}